Cancel
Showing results for 
Search instead for 
Did you mean: 

Re: Get facet faces coordiates

Siemens Experimenter Siemens Experimenter
Siemens Experimenter

Though NXOpen.Facet.ConvertFacetBodyBuilder was introduced in NX10, it was released to customers in NX11. So, I dont think you can use it in NX10.

 

Evaluate if you are allowed to do it interactively. See if Rapid Prototyping feature can help you: https://www.youtube.com/watch?v=od6lT-hIng4

Re: Get facet faces coordiates

Pioneer
Pioneer

I checked ConvertFacetBodyBuilder in NX10 (it written that class created for NX10):

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    Dim Facets() As NXObject

    Dim FacetB As New List(Of NXOpen.Facet.FacetedBody)

    Dim convertFacetBodyBuilder1 As NXOpen.Facet.ConvertFacetBodyBuilder = Nothing
    convertFacetBodyBuilder1 = workPart.FacetedBodies.FacetModelingCollection.CreateConvertFacetBodyBuilder()
    convertFacetBodyBuilder1.OriginalBodyOption = NXOpen.Facet.ConvertFacetBodyBuilder.OriginalBodyOptions.Keep
    Dim addedFacettedBody As Boolean = Nothing
    For Each FacettedBody As NXOpen.Facet.FacetedBody In FacetB
        addedFacettedBody = convertFacetBodyBuilder1.FacetedBodiesToConvert.Add(FacettedBody)
        Dim nXObject1 As NXOpen.NXObject = Nothing
        nXObject1 = convertFacetBodyBuilder1.Commit()
        convertFacetBodyBuilder1.Destroy()
    Next

///////////////////////////////////////////////////////////////////////////////////////////////////////

it is not work in NX10, I think because there is no convergent body feature by default.

 

Maybe there is another approach is exist for NX10?

 

thanks

e

 

Re: Get facet faces coordiates

Pioneer
Pioneer

Hello,

Good proposal for rapid surfacing. Question is how to distribute curves on all facetfaces (outer and inner)

 

thanks

e

 

Re: Get facet faces coordiates

Gears Esteemed Contributor Gears Esteemed Contributor
Gears Esteemed Contributor

https://community.plm.automation.siemens.com/t5/Discussion-Forum-NX-Manufacturing/STL-to-Solid-Body-...

 

There is a program in the above link that creates a solid from an STL file. I believe it creates faces from the facet data and sews them all together. Try it out to see if the end result is usable in your situation.

Re: Get facet faces coordiates

Pioneer
Pioneer

Hello,

thanks for the link, dll works!

 

thanks

e

 

Re: Get facet faces coordiates

Siemens Phenom Siemens Phenom
Siemens Phenom

You might find this discussion useful.

山田
yamada